Bug 202670 - Review Request: bygfoot - Football Manager
Review Request: bygfoot - Football Manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-15 15:53 EDT by Michał Bentkowski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 13:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michał Bentkowski 2006-08-15 15:53:10 EDT
Spec URL: http://ecik.zspswidwin.pl/bygfoot/bygfoot.spec
SRPM URL: http://ecik.zspswidwin.pl/bygfoot/bygfoot-2.0.0-1.src.rpm
Description: Bygfoot is a small and simple graphical football (a.k.a. soccer)
manager game featuring many international leagues and cups.
Comment 1 Paul F. Johnson 2006-08-15 16:26:00 EDT
I'll give this a look over :-)


Comment 2 Paul F. Johnson 2006-08-17 17:32:34 EDT
Good

Software works!
rpmlint is clean on all packages and subpackages
builds cleanly in mock
no duplicates in the rpm
consistent use of macros in the spec file
spec file is in american english
upstream version same as this version
md5sums match
no ownership problems
correct use of scripts
Docs okay

Needs work

%files
%{_bindir}/*

If you change this to %{_bindir}/bygfoot*

then I'm happy to FE-APPROVE this
Comment 3 Michał Bentkowski 2006-08-17 17:43:56 EDT
Corrected SPEC file: http://ecik.zspswidwin.pl/bygfoot/bygfoot.spec
Comment 4 Paul F. Johnson 2006-08-17 18:01:46 EDT
What is pkgconfig in there for?
Comment 5 Michał Bentkowski 2006-08-17 18:05:14 EDT
(In reply to comment #4)
> What is pkgconfig in there for?

I don't know, but it is needed for fine mock build.
Comment 6 Paul F. Johnson 2006-08-17 18:12:07 EDT
Wierd!

I've checked in mock and you're right.

APPROVED

Don't forget to close the bug and set it as NEXT-RELEASE
Comment 7 Paul Howarth 2006-08-18 03:33:12 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > What is pkgconfig in there for?
> 
> I don't know, but it is needed for fine mock build.

I'm unable to reproduce an issue with this. I removed the buildreq of pkgconfig
and it still got pulled in properly as a dependency of other buildrequired
packages when running mock builds on FC5.x86_64 and FC6.i386.

Where is the failure happening when you guys tried this?
Comment 8 Michał Bentkowski 2006-08-18 05:30:52 EDT
(In reply to comment #7)
> I'm unable to reproduce an issue with this. I removed the buildreq of 
pkgconfig
> and it still got pulled in properly as a dependency of other buildrequired
> packages when running mock builds on FC5.x86_64 and FC6.i386.
> 
> Where is the failure happening when you guys tried this?

I realized why you're unable to reproduce that issue. I notice that pkgconfig
is installed as a dependency for gtk2-devel, gettext or desktop-file-utils.
This is mock build report:

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 desktop-file-utils      x86_64     0.10-6.1         core               62 k
 gettext                 x86_64     0.14.5-3         core              1.4 M
 gtk2-devel              x86_64     2.8.15-1         core              2.7 M
Installing for dependencies:
 atk                     x86_64     1.11.3-1         core              209 k
 atk-devel               x86_64     1.11.3-1         core              104 k
.......
.......
 pkgconfig               x86_64     1:0.20-2.2.1     core               61 k

So probably we can delete pkgconfig BR. I can do it in next release.
Comment 9 Paul F. Johnson 2006-08-18 05:40:10 EDT
I think it may be down to my i386 buildsys, but it gtk2-devel wasn't dragging in
pkgconfig.

I'll need to check at home in case there is a conflict somewhere.
Comment 10 Paul Howarth 2006-08-18 06:26:53 EDT
(In reply to comment #9)
> I think it may be down to my i386 buildsys, but it gtk2-devel wasn't dragging in
> pkgconfig.
> 
> I'll need to check at home in case there is a conflict somewhere.

There's something wrong there because gtk2-devel requires glib2-devel, which in
turn requires pkgconfig >= 1:0.8

The pkgconfig in FC5 is 1:0.20, which should be pulled in by this dependency.

The same dependency chain is there in rawhide too.
Comment 11 Paul F. Johnson 2006-08-20 11:46:47 EDT
Checked, it seems to be a problem at my end. pkgconfig is not required. You can
remove it safely.
Comment 12 Paul F. Johnson 2006-08-23 06:09:00 EDT
Anything happening with this bug?
Comment 13 Paul F. Johnson 2006-08-31 18:24:11 EDT
If this package has been included, could you please close this bug and mark it
as NEXTRELEASE?
Comment 14 Michał Bentkowski 2006-09-04 13:25:43 EDT
I was on vacation.
Now, I'm closing it.

Note You need to log in before you can comment on or make changes to this bug.